Name: gtoaster
Summary: A versatile CD recording package for both sound and data
Version: 1.0beta2
Release: 4.ipf
License: GPL
Group: Applications/Archiving
Source0: http://gnometoaster.rulez.org/archive/%{name}1.0Beta2.tgz
Source1: gtoaster.desktop
Source2: gtoaster.console
Source3: gtoaster.pam
Source4: gtoaster.png
Url: http://gnometoaster.rulez.org
Prefix: %{_prefix}
Buildroot: %{_tmppath}/%{name}-buildroot
BuildPrereq: audiofile-devel gnome-libs-devel ORBit-devel
Requires: cdrecord cdrdao mkisofs cdda2wav sox usermode
ExcludeArch: s390 s390x

%description
Gnome Toaster is a versatile CD creation suite. It is designed to be
as user-friendly as possible, allowing you to create CD-ROMs with just
a few simple mouse clicks. Audio and data CDs are both possible.
Gnome Toaster is also well integrated with the GNOME and KDE
filemanagers.

%prep
%setup -q -n %{name}

%build
%configure
make

%install
rm -rf %{buildroot}
%makeinstall

mv %{buildroot}%{_bindir}/gtoaster %{buildroot}%{_bindir}/gtoaster-root
(cd %{buildroot}%{_bindir} && ln -s consolehelper gtoaster)

# helper stuff
mkdir -p %{buildroot}/etc/X11/applnk/Multimedia
install -m 644 %{SOURCE1} %{buildroot}/etc/X11/applnk/Multimedia
mkdir -p %{buildroot}/etc/security/console.apps
install -m 644 %{SOURCE2} %{buildroot}/etc/security/console.apps/gtoaster
mkdir -p %{buildroot}/etc/pam.d
install -m 644 %{SOURCE3} %{buildroot}/etc/pam.d/gtoaster
mkdir -p %{buildroot}/usr/share/pixmaps
install -m 644 %{SOURCE4} %{buildroot}/usr/share/pixmaps

%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr (-,root,root)
%doc ABOUT-NLS AUTHORS COPYING ChangeLog* INSTALL NEWS README TODO
%doc Documentation/gnometoaster_FAQ.txt Documentation/gnometoaster_users_guide.html
%doc Documentation/index.html

%config /etc/X11/applnk/Multimedia/gtoaster.desktop
%config(noreplace) /etc/pam.d/gtoaster
%config(noreplace) /etc/security/console.apps/gtoaster
%{_datadir}/pixmaps/*
%{_bindir}/*

%changelog
* Wed Aug 21 2002 Bill Nottingham <notting@redhat.com>
- remove mpg321 dep

* Tue Oct 30 2001 Than Ngo <than@redhat.com> gtoaster-1.0beta2-4
- fixed symlink bug (bug #55155)
- Copyrigt -> License
- add requires usermode

* Sat Jul 21 2001 Tim Powers <timp@redhat.com>
- require mpg321 not mpd123 now

* Fri Jul 20 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- do not build for s390,s390x

* Mon Jul 02 2001 Than Ngo <than@redhat.com>
- update to 1.0 beta 2

* Wed Jun 06 2001 Than Ngo <than@redhat.com>
- update to 1.0 beta 1
- add german translation in destop file
- remove unneeded patch file

* Tue Apr  3 2001 Preston Brown <pbrown@redhat.com>
- Red Hat style .spec.
- use mkstemp not tempnam.

* Wed Sep 27 2000 Eric Sandeen <eric_sandeen@bigfoot.com>
- gtoaster2000092620

* Wed Aug 30 2000 Georges Seguin okki@wanadoo.fr 
- gtoaster 0.4.2000082921

* Sun Aug 13 2000 Georges Seguin okki@wanadoo.fr 
- gtoaster 0.4.2000081318
- RPM specification file has been improved

* Thu May 26 2000 Georges Seguin crow@planete.net 
- First RPM

